Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs	(revision 218)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs	(revision 219)
@@ -100,9 +100,10 @@
             IOEstimateData DataDB = new IOEstimateData();
             try
             {
-                string strSQL = DataDB.CreatePrimarykeyString(m_ConstructionCode);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(DataDB.CreatePrimarykeyString(m_ConstructionCode));
                 List<EstimateData> DataList = new List<EstimateData>();
-                if (!DataDB.SelectAction(strSQL, ref DataList)) return false;
+                if (!DataDB.SelectAction(strSQL.ToString(), ref DataList)) return false;
                 if (DataList.Count == 0) return false;
 
                 return true;
@@ -129,9 +130,10 @@
             IOEstimateBudget BudgetDB = new IOEstimateBudget();
             try
             {
-                string strSQL = BudgetDB.CreatePrimarykeyString(m_ConstructionCode);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(BudgetDB.CreatePrimarykeyString(m_ConstructionCode));
                 List<EstimateBudget> DataList = new List<EstimateBudget>();
-                if (!BudgetDB.SelectAction(strSQL, ref DataList)) return false;
+                if (!BudgetDB.SelectAction(strSQL.ToString(), ref DataList)) return false;
                 if (DataList.Count == 0) return false;
 
                 return true;
@@ -168,11 +170,12 @@
                     || m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent) return true;
 
                 // 増減工事の子データのみ表示
-                string strSQL = " SELECT * FROM CONSTRUCTIONLINK A, CONSTRUCTIONLEDGER B";
-                strSQL += string.Format(" WHERE A.FLUCTUATIONCODE = {0}", m_ConstructionCode);
-                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(" SELECT * FROM CONSTRUCTIONLINK A, CONSTRUCTIONLEDGER B");
+                strSQL.AppendFormat(" WHERE A.FLUCTUATIONCODE = {0}", m_ConstructionCode);
+                strSQL.Append(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
                 ArrayList arList = new ArrayList();
-                if (!LinkDB.ExecuteReader(strSQL, ref arList)) return false;
+                if (!LinkDB.ExecuteReader(strSQL.ToString(), ref arList)) return false;
                 if (arList.Count == 0) return false;
 
                 return true;
@@ -305,10 +308,11 @@
             try
             {
                 // 申請レコード以外で自分の承認レコードがあるかをチェックする
-                string strSQL = ApprDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
-                strSQL += " And SeqNo != 1";
-                strSQL += string.Format(" AND PersonCode = {0}", CommonMotions.LoginUserData.PersonCode);
-                if (!ApprDB.SelectAction(strSQL, ref Rec))
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(ApprDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo));
+                strSQL.Append(" And SeqNo != 1");
+                strSQL.AppendFormat(" AND PersonCode = {0}", CommonMotions.LoginUserData.PersonCode);
+                if (!ApprDB.SelectAction(strSQL.ToString(), ref Rec))
                 {
                     Rec.ConstructionCode = m_ConstructionCode;                      // 工事番号
                     Rec.ApprovalCode = m_ApprovalCode;	                            // 承認機能番号
@@ -316,8 +320,9 @@
                     Rec.PersonCode = CommonMotions.LoginUserData.PersonCode;        // 申請・承認者コード
                     Rec.PetitionApprovalDate = DateTime.Now;	                    // 承認日付
 
-                    strSQL = ApprDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
-                    Rec.SeqNo = ApprDB.SelectMaxSeqNoCount(strSQL) + 1;             // 枝番
+                    strSQL.Clear();
+                    strSQL.Append(ApprDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo));
+                    Rec.SeqNo = ApprDB.SelectMaxSeqNoCount(strSQL.ToString()) + 1;  // 枝番
                 }
                 // 承認状態をセットする
                 Rec.ApprovalStatus = Status;
@@ -343,8 +348,9 @@
             {
                 bool bRet = true;
 
-                string strSQL= AppDetailDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
-                int SerialNo = AppDetailDB.MaxSerialNoCount(strSQL, false);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(AppDetailDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo));
+                int SerialNo = AppDetailDB.MaxSerialNoCount(strSQL.ToString(), false);
 
                 ProcessApprovalDetail NewRec = new ProcessApprovalDetail();
                 NewRec.ConstructionCode = m_ConstructionCode;       // 工事番号
@@ -428,10 +434,11 @@
             try
             {
                 // 申請データ取得
-                string strSQL = pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo, 1);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo, 1));
                 ProcessApproval pRec = new ProcessApproval();
                 int CurrentPerson = 0;
-                if (pAppDB.SelectAction(strSQL, ref pRec))
+                if (pAppDB.SelectAction(strSQL.ToString(), ref pRec))
                 {
                     // 申請者を取得する
                     CurrentPerson = pRec.PersonCode;
@@ -596,16 +603,18 @@
             try
             {
                 // 工事基本情報取得
-                string strSQL = string.Format(" Where ConstructionCode = {0}", m_ConstructionCode);
-                if (!cbiDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.AppendFormat(" Where ConstructionCode = {0}", m_ConstructionCode);
+                if (!cbiDB.SelectAction(strSQL.ToString(), ref m_ConstructionBaseInfo)) return false;
 
                 // 担当部署取得
                 int CurrentDepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
 
                 // 承認経路マスタ取得
-                strSQL = mAppDB.CreatePrimarykeyString(m_ApprovalCode, CurrentDepartmentCode);
-                strSQL += " Order By DISPLAYORDER";
-                if (!mAppDB.SelectAction(strSQL, ref m_ApprovalList)) return false;
+                strSQL.Clear();
+                strSQL.Append(mAppDB.CreatePrimarykeyString(m_ApprovalCode, CurrentDepartmentCode));
+                strSQL.Append(" Order By DISPLAYORDER");
+                if (!mAppDB.SelectAction(strSQL.ToString(), ref m_ApprovalList)) return false;
 
                 return true;
             }
@@ -634,15 +643,16 @@
             try
             {
                 // 工事基本情報明細取得
-                string strSQL = "SELECT B.DETAILSTRING, C.PERSONNAME, D.PERSONNAME FROM CONSTRUCTIONBASEINFO A";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.SALESPERSONCODE";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                strSQL += ", CONSTRUCTIONBASEINFODETAIL B";
-                strSQL += string.Format(" Where A.ConstructionCode = {0}", m_ConstructionCode);
-                strSQL += string.Format(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO = {0}",(int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT B.DETAILSTRING, C.PERSONNAME, D.PERSONNAME FROM CONSTRUCTIONBASEINFO A");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.SALESPERSONCODE");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B");
+                strSQL.AppendFormat(" Where A.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL.AppendFormat(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO = {0}",(int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
                 
                 ArrayList workdlist = new ArrayList();
-                if (!cbidDB.ExecuteReader(strSQL, ref workdlist)) return false;
+                if (!cbidDB.ExecuteReader(strSQL.ToString(), ref workdlist)) return false;
                 if (workdlist.Count == 0) return false;
                 
                 object[] objRec = (object[])workdlist[0];
@@ -708,9 +718,10 @@
                 string strDepartment = string.Empty;
                 string EntryDate = DateTime.Now.ToShortDateString();
                 // 申請データ取得
-                string strSQL = pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo, 1);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo, 1));
                 ProcessApproval pRec = new ProcessApproval();
-                if (!pAppDB.SelectAction(strSQL, ref pRec))
+                if (!pAppDB.SelectAction(strSQL.ToString(), ref pRec))
                 {
                     // データ無は申請無
                     // ----- データセット
@@ -721,22 +732,23 @@
                 // 申請者名取得
                 //strSQL = "SELECT IFNULL(C.APPROVALSTATUS, -1),";
                 //strSQL += " DATE_FORMAT(C.APPROVALLIMITDATES,'YYYY/MM/DD'),";
-                strSQL = "SELECT IFNULL(C.APPROVALSTATUS, -1),";
-                strSQL += " DATE_FORMAT(C.APPROVALLIMITDATES,'%Y/%m/%d'),";
-                strSQL += " C.INPUTCOMMENT,";
-                strSQL += " A.PersonName,";
-                strSQL += " A.DisplayString,";
-                strSQL += " B.DepartmentString,";
-                //strSQL += " DATE_FORMAT(C.ENTRYDATE,'YYYY/MM/DD')";
-                strSQL += " DATE_FORMAT(C.ENTRYDATE,'%Y/%m/%d')";
-                strSQL += " FROM PERSONINCHARGEMASTER A";
-                strSQL += " LEFT JOIN DEPARTMENTMASTER B ON B.DEPARTMENTCODE = A.DEPARTMENTCODE";
-                strSQL += " LEFT JOIN PROCESSAPPROVAL C ON C.PERSONCODE = A.PERSONCODE";
-                strSQL += pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo, 1, "C.").Replace("Where", "AND");
-                strSQL += string.Format(" WHERE A.PersonCode = {0}", pRec.PersonCode);
+                strSQL.Clear();
+                strSQL.Append("SELECT IFNULL(C.APPROVALSTATUS, -1),");
+                strSQL.Append(" DATE_FORMAT(C.APPROVALLIMITDATES,'%Y/%m/%d'),");
+                strSQL.Append(" C.INPUTCOMMENT,");
+                strSQL.Append(" A.PersonName,");
+                strSQL.Append(" A.DisplayString,");
+                strSQL.Append(" B.DepartmentString,");
+                //strSQL.Append(" DATE_FORMAT(C.ENTRYDATE,'YYYY/MM/DD')");
+                strSQL.Append(" DATE_FORMAT(C.ENTRYDATE,'%Y/%m/%d')");
+                strSQL.Append(" FROM PERSONINCHARGEMASTER A");
+                strSQL.Append(" LEFT JOIN DEPARTMENTMASTER B ON B.DEPARTMENTCODE = A.DEPARTMENTCODE");
+                strSQL.Append(" LEFT JOIN PROCESSAPPROVAL C ON C.PERSONCODE = A.PERSONCODE");
+                strSQL.Append(pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo, 1, "C.").Replace("Where", "AND"));
+                strSQL.AppendFormat(" WHERE A.PersonCode = {0}", pRec.PersonCode);
 
                 ArrayList pAppRec = new ArrayList();
-                if (!pAppDB.ExecuteReader(strSQL, ref pAppRec)) return;
+                if (!pAppDB.ExecuteReader(strSQL.ToString(), ref pAppRec)) return;
 
                 object[] objrec = (object[])pAppRec[0];
                 strPersonName = CommonMotions.cnvString(objrec[3]);
@@ -801,6 +813,7 @@
                 }
 
                 // データセット
+                StringBuilder strSQL = new StringBuilder();
                 foreach (ApprovalMaster rec in m_ApprovalList)
                 {
                     // 状態の取得
@@ -812,24 +825,25 @@
                     string strDepartment = string.Empty;
 
                     // 承認データを取得する
-                    string strSQL = "SELECT IFNULL(C.APPROVALSTATUS, -1),";
+                    strSQL.Clear();
+                    strSQL.Append("SELECT IFNULL(C.APPROVALSTATUS, -1),");
                     //strSQL += " DATE_FORMAT(C.PETITIONAPPROVALDATE,'YYYY/MM/DD'),";
-                    strSQL += " DATE_FORMAT(C.PETITIONAPPROVALDATE,'%Y/%m/%d'),";
-                    strSQL += " C.INPUTCOMMENT,";
-                    strSQL += " A.PersonName,";
-                    strSQL += " A.DisplayString,";
-                    strSQL += " B.DepartmentString";
-                    strSQL += " FROM PERSONINCHARGEMASTER A";
-                    strSQL += " LEFT JOIN DEPARTMENTMASTER B ON B.DEPARTMENTCODE = A.DEPARTMENTCODE";
-                    strSQL += " LEFT JOIN PROCESSAPPROVAL C ON C.PERSONCODE = A.PERSONCODE";
-                    strSQL += string.Format(" AND C.CONSTRUCTIONCODE = {0}",m_ConstructionCode);
-                    strSQL += string.Format(" And C.APPROVALCODE = {0}",m_ApprovalCode);
-                    strSQL += string.Format(" And C.ORDERNO = {0}", m_OrderNo);
-                    strSQL += " And C.SEQNO != 1";
-                    strSQL += string.Format(" WHERE A.PersonCode = {0}", rec.ApprovalPerson);
+                    strSQL.Append(" DATE_FORMAT(C.PETITIONAPPROVALDATE,'%Y/%m/%d'),");
+                    strSQL.Append(" C.INPUTCOMMENT,");
+                    strSQL.Append(" A.PersonName,");
+                    strSQL.Append(" A.DisplayString,");
+                    strSQL.Append(" B.DepartmentString");
+                    strSQL.Append(" FROM PERSONINCHARGEMASTER A");
+                    strSQL.Append(" LEFT JOIN DEPARTMENTMASTER B ON B.DEPARTMENTCODE = A.DEPARTMENTCODE");
+                    strSQL.Append(" LEFT JOIN PROCESSAPPROVAL C ON C.PERSONCODE = A.PERSONCODE");
+                    strSQL.AppendFormat(" AND C.CONSTRUCTIONCODE = {0}",m_ConstructionCode);
+                    strSQL.AppendFormat(" And C.APPROVALCODE = {0}",m_ApprovalCode);
+                    strSQL.AppendFormat(" And C.ORDERNO = {0}", m_OrderNo);
+                    strSQL.Append(" And C.SEQNO != 1");
+                    strSQL.AppendFormat(" WHERE A.PersonCode = {0}", rec.ApprovalPerson);
 
                     ArrayList pAppRec = new ArrayList();
-                    if (!pAppDB.ExecuteReader(strSQL, ref pAppRec)) return false;
+                    if (!pAppDB.ExecuteReader(strSQL.ToString(), ref pAppRec)) return false;
                     
                     object[] objrec = (object[])pAppRec[0];
                     strPersonName = CommonMotions.cnvString(objrec[3]);
@@ -909,10 +923,11 @@
                 string strStatus = "未　定";
                 string strComment = string.Empty;
 
-                string strSQL = pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
-                strSQL += string.Format(" And SeqNo != 1 And PersonCode = {0}", CommonMotions.LoginUserData.PersonCode);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(pAppDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo));
+                strSQL.AppendFormat(" And SeqNo != 1 And PersonCode = {0}", CommonMotions.LoginUserData.PersonCode);
                 ProcessApproval pAppRec = new ProcessApproval();
-                if (pAppDB.SelectAction(strSQL, ref pAppRec))
+                if (pAppDB.SelectAction(strSQL.ToString(), ref pAppRec))
                 {
                     strStatus = CommonDefine.ApprovalStatusString[pAppRec.ApprovalStatus];
                     strComment = pAppRec.InputComment;
@@ -1224,8 +1239,9 @@
             {
                 DetailDB.connect(); DetailDB.beginTran();
 
-                string strSQL = DetailDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
-                DetailDB.DeleteAction(strSQL, false);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(DetailDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo));
+                DetailDB.DeleteAction(strSQL.ToString(), false);
 
                 DetailDB.commit();
             }
@@ -1252,9 +1268,10 @@
             {
                 tvDispData.Nodes.Clear();
 
-                string strSQL = CommentDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(CommentDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo));
                 List<ProcessApprovalComment> CommentList = new List<ProcessApprovalComment>();
-                if (!CommentDB.SelectAction(strSQL, ref CommentList)) return;
+                if (!CommentDB.SelectAction(strSQL.ToString(), ref CommentList)) return;
 
                 TreeNode treeNode = null;
                 for (int i = 0; i < CommentList.Count; i++)
@@ -1439,8 +1456,9 @@
             try
             {
                 // 削除
-                string strSQL = CommentDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
-                CommentDB.DeleteAction(strSQL);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(CommentDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo));
+                CommentDB.DeleteAction(strSQL.ToString());
             }
             catch (Exception ex)
             {
@@ -1464,8 +1482,9 @@
             {
                 CommentDB.connect(); CommentDB.beginTran();
                 // まず削除
-                string strSQL = CommentDB.CreatePrimarykeyString(m_ConstructionCode, ParaAppCode, m_OrderNo);
-                CommentDB.DeleteAction(strSQL, false);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(CommentDB.CreatePrimarykeyString(m_ConstructionCode, ParaAppCode, m_OrderNo));
+                CommentDB.DeleteAction(strSQL.ToString(), false);
 
                 // ノードが無い場合は以下を処理しない
                 if (tvDispData.GetNodeCount(true) == 0) return true;
